# frozen_string_literal: true

require 'thor'

module MBS
  class CLI < Thor
    RUBOCOP_YML = <<~YML
      inherit_gem:
        mbs: rubocop.yml
      inherit_from:
        - .rubocop_todo.yml
        - .rubocop.local.yml
    YML
    desc 'rubocop init', 'Rubocop related commands'
    def rubocop(*)
      File.open('.rubocop.yml', 'w') do |file|
        file.puts RUBOCOP_YML
      end
      File.open('.rubocop_todo.yml', 'w') {}
      File.open('.rubocop.local.yml', 'w') {}
    end
  end
end
